﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Data;

public partial class combo_tooltips_cb_client_tooltips : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		if (!IsPostBack)
		{
			rcb1.DataSource = GetData();
			rcb1.DataBind();
		}
	}

	protected void OnAjaxUpdate(object sender, ToolTipUpdateEventArgs e)
	{
		e.UpdatePanel.ContentTemplateContainer.Controls.Add(
			new LiteralControl("loaded data for value: " + e.Value + "<br />on " + DateTime.Now.ToString()));
	}
	
	protected DataTable GetData()
	{
		DataTable tbl = new DataTable();
		tbl.Columns.Add(new DataColumn("Data"));
		tbl.Columns.Add(new DataColumn("Value"));
		tbl.Columns.Add(new DataColumn("ThirdColumn"));
		tbl.Columns.Add(new DataColumn("FourthColumn"));
		tbl.Rows.Add(new object[] { "firstRecord1", "firstRecord2", "firstRecord3", "firstRecord4" });
		tbl.Rows.Add(new object[] { "secondRecord1", "secondRecord2", "secondRecord3", "secondRecord4" });
		tbl.Rows.Add(new object[] { "thirdRecord1", "thirdRecord2", "thirdRecord3", "thirdRecord4" });
		tbl.Rows.Add(new object[] { "fourthRecord1", "fourthRecord2", "fourthRecord3", "fourthRecord4" });
		return tbl;
	}
}